PDA

View Full Version : SLES 12 Upgrade to SP1



christianmolecki
26-Apr-2016, 07:10
Hello everyone,

I want to upgrade a SLES12 server to SP1.
After I start the online migration (YAST2), the error messages occurs:

No migration product found.


I checked the registration and reregistered the server.

BR
Christian

thsundel
26-Apr-2016, 07:35
Hello everyone,

I want to upgrade a SLES12 server to SP1.
After I start the online migration (YAST2), the error messages occurs:

No migration product found.


I checked the registration and reregistered the server.

BR
Christian

Is your system registered and been patched?

Have you tried "the zypper way"? https://www.suse.com/documentation/sles-12/book_sle_deployment/data/sec_update_migr_zypper_onlinemigr.html

Thomas

christianmolecki
26-Apr-2016, 14:02
Hello Thomas,

thx for the answer.
The system is registered and patched.
If the system has no valid registration, a errormessage (something wrong with repo.xml) appears.

"The zypper way" is also not successfull


Executing 'zypper refresh'

Repository 'SLES12-12-0' is up to date.
Repository 'SLES12-Pool' is up to date.
Repository 'SLES12-Updates' is up to date.
Repository 'SLE-SDK12-Pool' is up to date.
Repository 'SLE-SDK12-Updates' is up to date.
All repositories have been refreshed.

Executing 'zypper --no-refresh patch-check --updatestack-only'

Loading repository data...
Reading installed packages...
0 patches needed (0 security patches)

No migration available.


This server is one of seventeen who can't made the upgrade to sp1.


BR
Christian

thsundel
26-Apr-2016, 14:28
Hello Thomas,

thx for the answer.
The system is registered and patched.
If the system has no valid registration, a errormessage (something wrong with repo.xml) appears.

"The zypper way" is also not successfull


Executing 'zypper refresh'

Repository 'SLES12-12-0' is up to date.
Repository 'SLES12-Pool' is up to date.
Repository 'SLES12-Updates' is up to date.
Repository 'SLE-SDK12-Pool' is up to date.
Repository 'SLE-SDK12-Updates' is up to date.
All repositories have been refreshed.

Executing 'zypper --no-refresh patch-check --updatestack-only'

Loading repository data...
Reading installed packages...
0 patches needed (0 security patches)

No migration available.


This server is one of seventeen who can't made the upgrade to sp1.


BR
Christian

Wonder if this is the case:


The list of migration targets depends on the products you have installed. If you have an extension installed for which the new SP is not yet available, it could be that no migration target is offered to you.

https://www.suse.com/documentation/sles-12/book_sle_deployment/data/sec_update_migr_workflow.html

Thomas

christianmolecki
26-Apr-2016, 14:38
The SLES12 Development Kit is installed.
Other migration with an installed sdk worked.


Christian

xjom71
06-May-2016, 15:02
Did you solve this?

I am getting exactly the same problem.

If I add the SP1 repos manually, via zypper or yast2, I get access denied on the repos xml-files.

/Mattias

christianmolecki
11-May-2016, 06:51
unfortunately not. But I try to upgrade via registration server and not with a local repo.


Christian

christianmolecki
23-May-2016, 07:51
Today I upgraded the server to service pack 1.
I didn't changed anything at the system, just installed the updates.

Very strange.